# runkit7_constant_redefine

(PECL runkit7 >= Unknown)

runkit7_constant_redefine — Redefine an already defined constant

### 说明

runkit7_constant_redefine(string `$constant_name`, mixed `$value`, int `$new_visibility` = ?): bool

### 参数

`constant_name`

  Constant to redefine. Either the name of a global constant, or `classname::constname` indicating class constant.

`value`

  Value to assign to the constant.

`new_visibility`

  The new visibility of the constant, for class constants. Unchanged by default. One of the `RUNKIT7_ACC_*` constants.

### 返回值

成功时返回 `true`， 或者在失败时返回 `false`。

### 参见

- runkit7_constant_add() - Similar to define(), but allows defining in class definitions as well
- runkit7_constant_remove() - Remove/Delete an already defined constant

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open